Summary:	%{_vendor} Online Update Tool
Name:		mgaonline
Version:	3.10.1
Release:        %mkrel 1
Source0:        %{name}-%{version}.tar.xz
URL:            http://www.mageia.org
License:        GPLv2+
Group:          System/Configuration
# for LWP::UserAgent:
Requires:       perl-libwww-perl
Requires:       drakxtools-curses >= 16.0
# for gurpmi.addmedia & update API:
Requires:       rpmdrake
# For adding restricted media:
Requires:       perl-Crypt-SSLeay
# for good gurpmi:
Requires:       urpmi >= 7.5
Requires:       gurpmi
Requires:       libdrakx-net >= 2.6

BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  perl_checker
BuildRequires:  perl-MDK-Common-devel

BuildArch: 	noarch

# No file conflicts, just for upgrade:
Obsoletes:	mdkonline < %{version}-%{release}
Provides:	mdkonline = %{version}-%{release}

%description
The Mageia Online tool allows users to be kept informed about security
updates, hardware support/enhancements and other high value services.
The package include :
* Update daemon which allows you to install security updates 
  automatically,
* A KDE/Gnome/IceWM compliant applet for security updates notification
  and installation. 


%prep
%setup -q
%apply_patches

%build
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%{version}-%{release}'"';!' mgaapplet

%install
make PREFIX=%{buildroot} install

#symbolic link to drakonline and older path
mkdir -p %{buildroot}%{_prefix}/X11R6/bin/

mkdir -p %{buildroot}%{_sysconfdir}/cron.daily/
touch %{buildroot}%{_sysconfdir}/cron.daily/mgaupdate

#if %mdkversion < 201100
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/mgaapplet <<EOF
#!/bin/sh
DESKTOP=\$1
case \$DESKTOP in
   IceWM|Fluxbox) exec /usr/bin/mgaapplet;;
esac
EOF

chmod +x %{buildroot}%{_sysconfdir}/X11/xinit.d/mgaapplet
#endif

# install lang
%find_lang %{name}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=%{_vendor} Online Applet
Comment=Applet for %{_vendor} Online
Exec=%{_bindir}/mgaapplet
Icon=mgaonline
Type=Application
StartupNotify=true
Categories=Settings;Network;
X-KDE-autostart-after=kdesktop
EOF

%post
grep -q pi.mandriva.com/mirror  /usr/lib/perl5/vendor_perl/5.*/urpm/mirrors.pm && \
 perl -pi -i.bak -e '$_ = "\t\"http://mirrors.mageia.org/api/mageia.\$product_version.\$arch.list\"\n" if m!https://api.mandriva.com/mirrors/!' \
 /usr/lib/perl5/vendor_perl/5.*/urpm/mirrors.pm || :

%files -f %{name}.lang
%doc COPYING
%{_bindir}/mgaapplet
%{_bindir}/mgaapplet-config
%{_bindir}/mgaapplet-update-checker
%{_bindir}/mgaapplet-upgrade-helper
%{_bindir}/mgaupdate
%{_bindir}/urpmi.update
%{_libexecdir}/mgaapplet-config
%{_libexecdir}/mgaapplet-upgrade-helper
%{_libexecdir}/mgaupdate
%{_datadir}/polkit-1/actions/*.policy
%dir %{_prefix}/lib/libDrakX/drakfirsttime
%{_prefix}/lib/libDrakX/drakfirsttime/*.pm
%{_sysconfdir}/xdg/autostart/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/mime/packages
%{_datadir}/mimelnk/application
%{_datadir}/%{name}/pixmaps
%{_sysconfdir}/X11/xinit.d/mgaapplet
%ghost %config(noreplace) %{_sysconfdir}/cron.daily/mgaupdate
%config(noreplace) %{_sysconfdir}/sysconfig/mgaapplet


%changelog
* Sun Feb 22 2015 akien <akien> 3.10.1-1.mga4
+ Revision: 816568
- mgaapplet-config: Fix string that refers to "Default" instead of "Mageia" (mga#13230)

  + tv <tv>
    - include strings from mgaapplet-update-checker & mgaapplet-upgrade-helper
    - restore old translations
    - fix some gtk2 -> gtk3 migration fallouts (mga#12527)
    - fix crashing if there's not notification daemon (mga#12416)

* Sat Jan 25 2014 colin <colin> 3.9-1.mga4
+ Revision: 568177
- Avoid double fork problems mga#11184 mga#12364

* Wed Jan 22 2014 tv <tv> 3.8-1.mga4
+ Revision: 567501
- block CHLD signals on startup in order to prevent glib-threading segfaults
  (mga#10289)

* Wed Jan 22 2014 tv <tv> 3.7.1-1.mga4
+ Revision: 567482
- workaround gnome-shell not exiting message tray mode when clicking on actions
  (bgo#706783)

* Wed Jan 22 2014 tv <tv> 3.7-1.mga4
+ Revision: 567474
- better fix for mga#12280 while fixing mgaapplet exiting reported by Colin

* Fri Jan 17 2014 tv <tv> 3.6-1.mga4
+ Revision: 566732
- workaround X11 hanging if one right click on status icon without
  having closed the notification (mga#12280)

* Wed Jan 08 2014 tv <tv> 3.5-1.mga4
+ Revision: 565516
- delay setting SIG_CHLD handler
  (thus fixing segfault on startup (mga#10289))

* Mon Dec 30 2013 tv <tv> 3.4-1.mga4
+ Revision: 563245
- mdkapplet-config (mga#12148)
  o fix detecting if HScale widgets are supported
  o fix two Entry pointing to the same reference in old compat mode
  o drop support for mdv 200[89].x

* Sat Dec 21 2013 tv <tv> 3.3-1.mga4
+ Revision: 559362
- fix doing nothing when clicking on notifications buttons (mga#12041)
- split mgaapplet-update-checker
  (prevents segfault due to mixing glib threads with secular forks)

* Mon Dec 16 2013 tv <tv> 3.2-1.mga4
+ Revision: 557351
- fix crashing when displaying about dialog (mga#12009)

* Fri Dec 06 2013 tv <tv> 3.1-1.mga4
+ Revision: 555590
- fix using Notifications introspection API (mga#11897)

* Thu Dec 05 2013 tv <tv> 3.0-2.mga4
+ Revision: 555345
- bump requires

* Thu Dec 05 2013 tv <tv> 3.0-1.mga4
+ Revision: 555324
- convert from gtk2 to gtk3 (needs rpmdrake >= 6.0)

* Sun Nov 17 2013 colin <colin> 2.84-1.mga4
+ Revision: 551667
- New version: 2.84

* Tue Oct 22 2013 umeabot <umeabot> 2.83-2.mga4
+ Revision: 541527
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 2.83-1.mga4
+ Revision: 496187
- New version: 2.83
- New version: 2.82

* Wed May 15 2013 colin <colin> 2.81-1.mga3
+ Revision: 413302
- New version: 2.81
- ensure nonfree/tainted media is kept enabled on distro upgrade
- do not use urpm code to check the folder as this is run as unprivileged user (mga#6083)
- enable the 'download all' links for everyone (mga#8157)
- split initial distro upgrade into two parts and ensure rpm+urpmi installed in a
  single transaction to prevent rpmdb errors

* Sat May 04 2013 colin <colin> 2.80-1.mga3
+ Revision: 412261
- New version: 2.80
- add support for a 'mageia-prepare-upgrade' package when performing distro upgrades
- do not define the  variable in mgaapplet-upgrade-helper as it's exported from mgaonline.pm
- exit early from mgaapplet-upgrade-helper if we don't pass expected/required args
- fix urpm::check_dir() call (old name check_cache_dir() was changed)

* Mon Apr 15 2013 tv <tv> 2.79-1.mga3
+ Revision: 410118
- check that choosen download directory is owned by root (mga#6083)
- drop support for Enterprise & PowerPack media (mga#6292)
- drop support for extended maintenance

  + colin <colin>
    - Add a patch from svn to exit gnome-shell overview when clicking on bubble actions

* Wed Jan 23 2013 fwang <fwang> 2.78-4.mga3
+ Revision: 391479
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.78-3.mga3
+ Revision: 360016
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 tv <tv> 2.78-2.mga3
+ Revision: 286768
- fix requires

* Fri Aug 31 2012 tv <tv> 2.78-1.mga3
+ Revision: 286740
- use more modern urpmi API

* Sat Apr 21 2012 tv <tv> 2.77.33-1.mga2
+ Revision: 232423
- invalidate urpmi cache on upgrade (mga#1588)

* Thu Mar 15 2012 kamil <kamil> 2.77.32-1.mga2
+ Revision: 223456
- new tarball 2.77.32
  * stop using Mandriva URLs and replace them by www.mageia.org (mga#1590)
  * replace Mandriva strings by Mageia in gnome-mandrakeonline.desktop
  * replace MIME Type application/x-mdv-exec by application/x-mga-exec
  * extend $MGA_YEARS in mgaupdate to 2012
  * delete MANDRIVA_VERSION variable as not used
- replace obsolete drakx-newt with drakxtools-curses
- stop using MANDRIVA_VERSION in %%install
- rename mandriva-mgaonline.desktop with mageia-mgaonline.desktop
- clean Categories in the .desktop file (remove X-Mandriva-* entry)
- remove %%update_desktop_database and %%clean_desktop_database (not used anymore)
- remove %%update_mime_database and %%clean_mime_database (not used anymore)
- clean .spec

  + tv <tv>
    - drop support for mdv2007.x/2008.x/2009.x

* Tue Jun 14 2011 tv <tv> 2.77.30-2.mga2
+ Revision: 106058
- drop old provides/obsoletes on mdkonline-backend which is dead for quite a lot years

  + dmorgan <dmorgan>
    - Remove buildroot definition, this is useless now

* Tue Jun 14 2011 dmorgan <dmorgan> 2.77.30-1.mga2
+ Revision: 106016
- Fix libnotify API

  + ze <ze>
    - correct renaming
    - use native rpm macros instead variables,not both in same spec

* Sat May 28 2011 tmb <tmb> 2.77.29-1.mga1
+ Revision: 100619
- move gurpmi upgrade log to .MgaOnline/ too so /root stays clean

* Sat May 28 2011 tmb <tmb> 2.77.28-1.mga1
+ Revision: 100612
- disable suggesting powerpack upgrade (mga #1153)
- dont pollute homedir with urpmi.cfg backup files

* Fri May 27 2011 tmb <tmb> 2.77.27-2.mga1
+ Revision: 100591
- revert api url change so it matches urpmi and mageia api server

* Fri May 27 2011 tv <tv> 2.77.27-1.mga1
+ Revision: 100549
- disable features not supported on Mageia but that do exist on mdv:
  Enterprise Media, Extended Maintenance, Restricted media (mga#1153)
- fix mirror URI on mdv

* Wed May 25 2011 ahmad <ahmad> 2.77.26-4.mga1
+ Revision: 100357
- Use the Mageia official website in the URL tag

* Tue May 24 2011 ahmad <ahmad> 2.77.26-3.mga1
+ Revision: 100317
- Make sure the the %%post scriptlet doesn't display an error when it exits
  with 1, as it will always fail on a Mageia system (supposed to work on a
  Mandriva system when the user installs mgaonline to upgrade to Mageia)

* Mon May 23 2011 tv <tv> 2.77.26-2.mga1
+ Revision: 100263
- switch mirrorlist API from mdv to mga in %%post

* Sat May 21 2011 tv <tv> 2.77.26-1.mga1
+ Revision: 100058
- handle both MageiaUpdate & MandrivaUpdate

* Thu May 19 2011 tv <tv> 2.77.25-1.mga1
+ Revision: 99713
- use https protocol instead of http in order to retrieve distro list

* Sat May 14 2011 ennael <ennael> 2.77.24-1.mga1
+ Revision: 98795
- update icons and pixmaps for Mageia

* Sat May 14 2011 ennael <ennael> 2.77.23-1.mga1
+ Revision: 98756
- fix typo in MageiaUpdate name

* Fri May 13 2011 tv <tv> 2.77.22-1.mga1
+ Revision: 98120
- imported package mgaonline

